Page=new Array();Page[0]=new Array("This guide provides general instructions on installing Parallels Workstation Extreme, setting up and configuring a typical virtual machine.","Introduction","23338.htm");

Page[1]=new Array("Parallels Workstation Extreme is a virtualization solution that enables you to create virtual machines on computers with Intel® processors (1.66 GHz and faster) and a Windows or Linux operating system installed. You can install a Windows, Linux, or another supported guest operating system in each of your virtual machines and work with them and their applications side by side with the applications of the primary operating system installed on the physical computer.","When installed on computers with Intel VT-d support, Parallels Workstation Extreme can even better utilize the physical hardware by allowing virtual machines to use their own physical PCI Express (PCIe) devices without sharing them with the host computer. The VT-d hardware assistance built into Intel's chipsets enables you to assign physical devices directly to the virtual machine, making them invisible to the host computer they are physically plugged into. Owing to this technology, Parallels virtual machines can achieve a very high level of performance.","Built on Parallels' hypervisor-based virtualization technology, Parallels Workstation Extreme enables you to:","create powerful and easy-to-use virtual machines","use Windows and Linux applications side by side with the primary operating system applications","directly connect PCIe graphical and network cards to your virtual machines (if your host computer's processor supports the Intel VT-d technology)","To enhance your experience of running more than one operating system on your physical computer, Parallels Workstation Extreme includes several add-on utilities:","Parallels Transporter® for migrating physical computers and third-party virtual machines to Parallels virtual machines","Parallels Image Tool for maintaining the capacity and other properties of your virtual hard disks","Parallels Compressor® for compressing the data stored on Windows virtual hard disks","About Parallels Workstation Extreme","22969.htm");

Page[2]=new Array("Parallels Workstation Extreme offers several options for accessing the necessary information:","Parallels Workstation Extreme User's Guide. This document contains extensive information about the product, its usage and, troubleshooting. You can access the guide by choosing Parallels Workstation Extreme Help from the Parallels Workstation Extreme Help menu.","Online documentation. The PDF documentation for Parallels Workstation Extreme and other Parallels products, such as Parallels Transporter, Parallels Image Tool, and Parallels Compressor. To open the online documentation page, choose Online Documentation from the Help menu.","Parallels Command Line Reference Guide. This document contains information on using the prlctl command line utility designed to manage Parallels Workstation Extreme and its virtual machines from command line. To access the document, go to the Online documentation page on our website.","Parallels API references and the SDK programmer's guide. These guides are aimed at IT-professionals mainly and can be found on the Online documentation page on our website.","Context-sensitive help. You can open a help page for the active window by pressing F1.","Parallels website. Explore the Support web page that includes product help files and the FAQ section.","Parallels Knowledge Base. This online resource comprizes valuable articles about using Parallels Workstation Extreme and other Parallels products.","Getting Help","23195.htm");

Page[3]=new Array("If you spot a typo in this guide, or if you have thought of a way to make this guide better, you can share your comments and suggestions with us by completing the feedback form at the Parallels documentation feedback page.","Feedback","178.htm");

Page[4]=new Array("Guest Operating System (Guest OS). An operating system installed inside the virtual machine. It can be a Windows, Linux, or another supported operating system.","Primary Operating System (Primary OS). The operating system that is loaded when you turn on your physical computer.","Virtual Machine (VM). A computer emulated inside the primary operating system. A virtual machine has its own virtual hardware and requires an operating system. The installed operating system and its applications are isolated within the virtual machine and share physical hardware resources with the physical computer.","Key Terms","28321.htm");

Page[5]=new Array("Parallels Workstation Extreme can be installed on a physical computer that has a Windows or Linux primary operating system and is based on a processor that supports Intel VT-x virtualization technology.","Before installing Parallels Workstation Extreme, make sure that your computer complies with the system requirements.","Installing Parallels Workstation Extreme","28301.htm");

Page[6]=new Array("Before installing Parallels Workstation Extreme, please make sure that your computer complies with the hardware and software requirements listed here.","Hardware Requirements","Minimum 1.66 GHz x64 (64-bit) CPU with the Intel VT-x hardware virtualization technology support.","Note: To be able to assign PCI Express (PCIe) devices directly to your virtual machines, you will need a processor that supports the Intel VT-d technology.","The support for Intel VT-x and VT-d may be disabled by default in some computers that actually support Intel VT-x and VT-d. To enable these features, you should usually enter BIOS, go to System Settings &gt; Virtualization Support, and select the Enable Intel Virtualization and Enable Intel VT for Direct I/O checkboxes.","For detailed infomation on enabling the Intel VT-x and VT-d features in BIOS, please refer to the OEM supplier's documentation.","2 GB RAM minimum. 4 GB RAM or more is recommended.","The recommended amount of memory assigned to a virtual machine is 1-2 GB (you can assign up to 64 GB of RAM).","200 MB of hard disk space for the Parallels Workstation Extreme installation.","About 30 GB of hard disk space for each virtual machine.","To store a virtual machine's temporary files, you need to have twice as much free disk space as the overall amount of this virtual machine's memory (memory + video memory) +150 MB.","CD-ROM or DVD-ROM drive (optional).","Ethernet network adapter.","If you want to use a directly connected PCIe video card in your virtual machine, you will also need:","Two PCIe video cards. One video card for your host computer and the other &#0150; for the virtual machine.","Parallels Workstation Extreme officially supports the NVIDIA Quadro® FX 3800, 4800, and 5800 video cards for virtual machines. For these video cards, use the latest drivers (starting from 182.65 for Windows and 180.51 for Linux) available on the manufacturer's website.","Direct assignment of PCIe video cards requires an NVIDIA Video BIOS version of 62.00.62.00.01 or later. If you have a supported video card which does not have this BIOS level, please contact your OEM supplier.","Software Requirements","Parallels Workstation Extreme officially supports host computers with the following operating systems installed.","64-bit operating systems","Windows 7","Windows Vista SP2","Windows XP SP2","RHEL 5.3","In Linux operating systems, make sure the following software packages are installed:","kernel development packages","Note: In RedHat-based systems, such packages are called kernel-&lt;kernel_version&gt;-devel, in Debian-based systems - linux-headers-&lt;kernel_version&gt;.","gcc of the version with which the host kernel was compiled","32-bit version of glibc 2.3.6 or later","make or gmake","For 64-bit systems, it is also desired to have 32-bit alsa-lib installed in RedHat-based systems or lib32asound in Debian-based systems.","If you do not have any of the aforementioned packages installed on your Linux-based physical computer, the Parallels Workstation Extreme installer will try to install it automatically.","System Requirements","23607.htm");

Page[7]=new Array("Before installing Parallels Workstation Extreme on a Windows computer, make sure that it complies with the system requirements.","Note: You must have administrator's rights to install Parallels Workstation Extreme in a Windows operating system.","To install Parallels Workstation Extreme in Windows, you will need the Parallels Workstation Extreme setup file. The setup file is available:","in the Parallels Workstation Extreme installation package that can be downloaded from the Parallels website","on the Parallels Workstation Extreme installation disc included in the boxed version of Parallels Workstation Extreme","To install Parallels Workstation Extreme in Windows:","Locate the ParallelsWorkstationExtreme-4.0.xxxx.xxxxxx.exe file and open it.","Parallels Workstation Extreme will connect to the Parallels update server and check for available updates. If there is a newer version of Parallels Workstation Extreme available, you will be offered to install the most recent version of Parallels Workstation Extreme. If you do not want to install the most recent version, you may choose to install the version from the installation media.","If you click Install existing version, Parallels Workstation Extreme will be installed from the installation media.","If you click Download and install new version, the latest version of Parallels Workstation Extreme will be downloaded and installed on your computer.","If there are no updates available or your host computer is not connected to the Internet, Parallels Workstation Extreme will be installed from the current installation source.","In the installation wizard Welcome window, click Next.","In the License Agreement window, read carefully the entire agreement. Select I accept the terms in the license agreement, and click Next.","You may print the license agreement for your records using the Print button.","In the Customer Experience Program window, you can choose to participate in the program that will help us improve Parallels Workstation Extreme according to your experience. Read carefully the information about the program and decide whether you want to participate in it or not. Click Next when finished.","In the Destination Folder window, specify the folder where Parallels Workstation Extreme will be installed and click Next. If you do not want to install to the default folder, click the Change button to specify another one.","Note: Parallels Workstation Extreme must be installed on the boot volume.","In the Ready to Install the Program window, click Install to start the Parallels Workstation Extreme installation or click Back to return to the previous steps.","You can see the installation progress shown in the Installing Parallels Workstation Extreme window.","When Parallels Workstation Extreme is installed, the Setup Wizard Completed window appears. Click Finish to exit the installer.","Installing Parallels Workstation Extreme in Windows","22744.htm");

Page[8]=new Array("Before installing Parallels Workstation Extreme on a Linux computer, make sure that the packages and libraries listed in the system requirements for Linux primary OSs are installed in your system.","Note: You must have the root privileges to be able to install Parallels Workstation Extreme in a Linux operating system.","To install Parallels Workstation Extreme in Linux, you will need a RUN installation package. The RUN package is available:","in the Parallels Workstation Extreme installation package that can be downloaded from the Parallels website","on the Parallels Workstation Extreme installation disc included in the boxed version of Parallels Workstation Extreme","To install Parallels Workstation Extreme in Linux:","Double-click the Parallels Workstation Extreme RUN package. This will open a terminal and start the installation.","Parallels Workstation Extreme will connect to the Parallels update server and check for available updates. If there is a newer version of Parallels Workstation Extreme available, you will be offered to install the most recent version of Parallels Workstation Extreme. If you do not want to install the most recent version, you may choose to install the version from the installation media.","Note: If the host computer is accessing the Internet only via a proxy server, configure the proxy server settings to allow Parallels Workstation Extreme to check for available updates during the installation process. For more information on how to configure the proxy server settings, refer to the Troubleshooting subsection below.","If you click Next, the most recent version of Parallels Workstation Extreme will be downloaded and installed.","If you click Cancel, Parallels Workstation Extreme will be installed from the current installation media.","If there are no updates available or your host computer is not connected to the Internet, Parallels Workstation Extreme will be installed from the current installation source.","The Parallels Workstation Extreme Installation wizard starts. In the Welcome screen, click Next. ","In the License Agreement screen, read the license agreement scrolling it by pressing Spacebar on your keyboard. To accept the agreement, click the Accept button.","In the CEP Agreement screen, you can choose to participate in a program that will help us improve Parallels Workstation Extreme according to your experience. Read carefully the information about the program and click the Yes button if you want to participate in it. Otherwise click No.","When the installation is completed, the Parallels Workstation Extreme Installation completed screen appears. Click the Exit button to close the wizard. ","To exit the terminal, enter:","exit","Troubleshooting","If the host computer is accessing the Internet only via a proxy server, you should configure the proxy server settings to allow Parallels Workstation Extreme to check for available updates during the installation process. To this effect, begin the Parallels Workstation Extreme installation as follows:","Launch a terminal, locate the Parallels Workstation Extreme installation package, and execute the following command to start the installation:","sudo ./parallels-workstation-extreme-4.0.xxxx.xxxxxx.run -- -p proxy_server_host_name:port","or","sudo ./parallels-workstation-extreme-4.0.xxxx.xxxxxx.run -- -p ip_address:port","where proxy_server_host_name stands for the proxy server host name, ip_address stands for the proxy server IP address, and port stands for the proxy server port.","Continue the installation as it was described above.","If the proxy-server requires authentication, you will be prompted to enter your name and password in one of the steps.","Installing Parallels Workstation Extreme in Linux","22555.htm");

Page[9]=new Array("To fully run Parallels Workstation Extreme, you should activate it with an activation key. If you purchased a boxed version of the program, you can find the activation key printed on the installation CD sleeve. If you purchased the program online, the activation key was sent to your e-mail. If you downloaded a copy of Parallels Workstation Extreme to evaluate it before buying, you can get a trial activation key valid for a certain period of time.","After you activate your copy of Parallels Workstation Extreme, you can run virtual machines, install operating systems and various applications in them.","Activating Your Copy of Parallels Workstation Extreme","To activate Parallels Workstation Extreme:","Choose Activate Product from the Help menu.","In the Activate Product dialog, specify your name and your company name in the Name and Organization fields (optional) and type the activation key into the Product Key field:","To get a trial activation key, click the free trial activation key link.","To buy a permanent activation key, click purchase a permanent activation key.","Click OK when finished.","Now that your copy of Parallels Workstation Extreme is activated, you can create virtual machines, install operating systems in them, and work with the virtual machines' applications side by side with the applications of your primary OS.","Activating Parallels Workstation Extreme","22160.htm");

Page[10]=new Array("To start Parallels Workstation Extreme in Windows:","From the Windows Start menu, choose Programs &gt; Parallels &gt; Parallels Workstation Extreme &gt; Parallels Workstation Extreme.","You can also start Parallels Workstation Extreme by double-clicking its icon on the desktop.","To start Parallels Workstation Extreme in Linux:","From the Applications menu, choose System Tools &gt; Parallels Workstation Extreme.","Enter the following command in a terminal:","parallels-workstation","Starting Parallels Workstation Extreme","23571.htm");

Page[11]=new Array("This section describes how to create new virtual machines with the help of New Virtual Machine Wizard and install Parallels Tools in them.","Adding Virtual Machines","28303.htm");

Page[12]=new Array("The current version of Parallels Workstation Extreme officially supports the following guest operating systems.","32-bit guest operating systems:","Windows:","Windows XP SP3","64-bit guest operating systems:","Windows:","Windows 7; Windows XP SP2","Linux:","RHEL 5.3; RHEL 4.7","Note: Parallels Workstation Extreme does not provide users with OS ISO images or OS installation discs. You should purchase an OS installation disc or an OS ISO image if you do not have any.","Supported Guest Operating Systems","23584.htm");

Page[13]=new Array("If you want to create a new virtual machine, use New Virtual Machine Wizard. This wizard can work in three modes:","Express Windows. Use this mode to create a Windows XP or Windows Vista virtual machine. In this mode, the the guest operating system and Parallels Tools will be installed automatically.","Typical. Use this mode to create a virtual machine with a typical configuration.","Custom. Use this mode if you want to customize the virtual machine configuration while creating it.","This guide provides you with the instructions on creating a virtual machine in the Typical mode. For the instructions on creating virtual machines in the Custom or Express Windows modes, refer to Parallels Workstation Extreme User's Guide.","Before creating a virtual machine in the Typical mode, make sure that you have an operating system installation disc or its image.","To create a typical virtual machine:","Start Parallels Workstation Extreme and launch New Virtual Machine Wizard by choosing New Virtual Machine from the File menu.","In the Introduction window, click Next to proceed with the virtual machine creation.","In the Select Operating System Type and Version window, select the operating system you are planning to install inside your virtual machine and click Next.","In the Virtual Machine Type window, select Typical and click Next.","In the Name and Location window, define the name and location for your virtual machine:","Name. Indicate an arbitrary name to be assigned to the virtual machine. By default, the virtual machine gets the same name as the operating system that is planned to be installed inside this virtual machine. If a virtual machine with such a name already exists, you will be prompted to indicate another name. The name must not exceed 50 characters.","Location. Use the Choose button if you want to change the default location of the virtual machine-related files.","If you click the Advanced button, you can set the number of CPUs, the amount of RAM, and the virtual hard disk capacity to your future virtual machine.","Click Next.","After the virtual machine is created, in the Prepare to Install Operating System window, specify the source of installation files and click Start. You can use the following types of installation media:","Real CD/DVD-ROM Drive. Select this option to use a disc inserted into the optical drive of the computer. Choose the drive to use from the Drive list.","CD/DVD Image. Select this option to use a CD/DVD disc image connected to the virtual machine's CD/DVD drive. Type the path to the file in the File field or use the Choose button to locate the file.","Note: Parallels Workstation Extreme does not provide you with operating systems installation media. You should purchase an OS installation disc or an image of it if you do not have any.","If you do not want to install the guest OS and start the virtual machine, click Done.","Creating a New Virtual Machine","23109.htm");

Page[14]=new Array("Parallels Tools are a suite of special utilities that help you use your virtual machines in the most comfortable and efficient way. With Parallels Tools, you can move the mouse seamlessly outside the guest OS window without pressing any key, change the virtual machine's screen resolution by simply resizing its window, synchronize your virtual machine's time and date settings with the time settings of the host computer, and share the host computer disks and folders with its virtual machines.","Installing Parallels Tools","28309.htm");

Page[15]=new Array("If you created your virtual machine using the Express Windows mode, Parallels Tools were installed automatically after the installation of the Windows guest operating system.","If your virtual machine was created in the Typical or Custom mode, do the following to install Parallels Tools in it:","Start the virtual machine and log in to the guest operating system.","When the guest OS boots up, connect the Parallels Tools ISO image by choosing the Install Parallels Tools option from the Virtual Machine menu.","Note: If the Install Parallels Tools option is grayed out, make sure that Parallels Tools can be installed in your guest operating system. To see the list of guest OSs supported by Parallels Tools, refer to the Parallels Tools Overview section in Parallels Workstation Extreme Help available through the Help menu.","In the Welcome window, click Install. The wizard will start the automatic installation.","When the installation is complete, click Reboot to exit the wizard and restart the virtual machine.","If the Parallels Tools installation does not start automatically, you can launch it manually:","Start the virtual machine and log in to the guest operating system.","When the guest OS boots up, connect the Parallels Tools ISO image by right-clicking the CD/DVD-ROM icon in the virtual machine's window status bar and choosing Connect Image.","Open the following folder:","In 32-bit Windows: C:\\Program Files\\Parallels\\Parallels Workstation Extreme\\Tools\\","In 64-bit Windows: C:\\Program Files (x86)\\Parallels\\Parallels Workstation Extreme\\Tools\\","Select the prl-tools-win.iso file, and click Open to connect it to the virtual machine.","In the virtual machine, open My Computer and double-click the Parallels Tools disc icon to expand its contents.","Note: If the installation wizard does not launch automatically, right-click the disc, choose Open from the shortcut menu, and double-click Setup.exe to launch the installer.","Follow the wizard's instructions to complete the installation.","How to check if Parallels Tools are installed","If you are not sure whether Parallels Tools are installed, you can easily check this. Start your virtual machine and look at the status bar of its window: if the tip &quot;Press Ctrl + Alt to release the mouse and keyboard&quot; appears in the status bar of the virtual machine's window, this means that Parallels Tools are not installed. When Parallels Tools are installed, you do not need to press any key to release the mouse and keyboard - they are released automatically.","In Windows Virtual Machines","28977.htm");

Page[16]=new Array("Before installing Parallels Tools in a Linux guest OS, perform the following actions:","Close all applications in the guest operating system.","Disable the 3D accelerated window manager if you use any.","Make sure that you have the gcc package and kernel sources installed. If these packages are not installed, the Parallels Tools installer will inform you about this you. The kernel sources package name depends on the type of Linux operating system you use: it can be kernel-devel, or kernel-headers, or something else. For more information about the kernel sources, refer to the Installing the GCC package and Kernel Sources in Linux section.","Note: To install Parallels Tools in your virtual machine, you must have the root privileges. ","Installing Parallels Tools in the most recent versions of Linux guest OSs","If you have one of the most recent versions of Linux OSs (Ubuntu, Fedora) in your virtual machine, the prl-tools-lin.iso image file will be mounted automatically after you connect it to the CD/DVD drive. To install Parallels Tools, do the following:","Start the virtual machine.","When the guest OS boots up, click the Virtual Machine menu and choose Install Parallels Tools.","Note: If the Install Parallels Tools option is grayed out, make sure that Parallels Tools can be installed in your guest operating system. To see the list of guest OSs supported by Parallels Tools, refer to the Parallels Tools Overview section in Parallels Workstation Extreme User's Guide.","The prl-tools-lin.iso image file will be connected to the virtual machine's CD/DVD drive and mounted.","Start a terminal in your Linux guest OS. Type the following command to gain the root privileges:","su","Change the directory to the CD/DVD drive directory using","cd /media/cdrom/","Note: In some of the Linux operating systems, the mount point for the virtual CD/DVD drive may appear as /media/Parallels\\ Tools/.","In the CD/DVD drive directory, enter the following command to launch Parallels Tools installation:","./install","Follow the Parallels Tools Installer instructions to complete the installation.","When the installation of Parallels Tools is complete, restart your virtual machine.","Installing Parallels Tools in other versions of Linux guest OSs","To install Parallels Tools in the older versions of Linux OSs, you have to mount the prl-tools-lin.iso image file manually. Do the following:","Start the virtual machine.","When the guest OS boots up, click the Virtual Machine menu and choose Install Parallels Tools.","Note: If the Install Parallels Tools option is grayed out, make sure that Parallels Tools can be installed in your guest operating system. To see the list of guest OSs supported by Parallels Tools, refer to the Parallels Tools Overview section in Parallels Workstation Extreme User's Guide.","The prl-tools-lin.iso image file will be connected to the virtual machine's CD/DVD drive.","Start a terminal in your Linux guest OS. Type the following command to gain the root privileges:","su","Check if the Parallels Tools CD image is mounted by entering","mount | grep iso9660","If this command does not return anything, proceed to the next step.","If this command returns anything like","/dev/cdrom on /media/cdrom type iso9660 (ro,exec,nosuid,nodev,uid=0),","skip the next step and proceed to the following one.","If this command returns anything like","/dev/cdrom on /media/cdrom type iso9660 (ro,noexec,nosuid,nodev,uid=0)","with the noexec option present in parentheses, you need to unmount the disc using the following command and then proceed to the next step:","umount /dev/cdrom","To mount the Parallels Tools installation disc image, enter the following:","mount -o exec /dev/cdrom /media/cdrom","Note: /dev/cdrom is the virtual machine's CD/DVD drive and /media/cdrom is the mount point for this device. In some of the Linux operating systems the virtual CD/DVD drive may appear as /dev/hdb and the mount point /mnt/cdrom. Some Linux OSs do not have the CD/DVD drive mount point. In this case, you should create the mount point directory manually.","When the installation disc image is mounted, change the directory to the CD/DVD drive directory using","cd /media/cdrom/","In the CD/DVD drive directory, enter the following to launch Parallels Tools installation:","./install","Note: You must have the root privileges to run this command.","Follow the Parallels Tools Installer instructions to complete the installation.","When the installation of Parallels Tools is complete, restart your virtual machine.","How to check if Parallels Tools are installed","If you are not sure whether Parallels Tools are installed, you can easily check this. Start your virtual machine and look at the status bar of its window: if the tip &quot;Press Ctrl + Alt to release the mouse and keyboard&quot; appears in the status bar of the virtual machine's window, this means that Parallels Tools are not installed. When Parallels Tools are installed, you do not need to press any key to release the mouse and keyboard - they are released automatically.","In Linux Virtual Machines","28978.htm");

Page[17]=new Array("This chapter outlines the major day-to-day operations that you are likely to perform on your Parallels virtual machines.","Managing Virtual Machines","28311.htm");

Page[18]=new Array("To start working in a virtual machine, you need first to capture the keyboard and mouse input in the virtual machine. To this effect:","move the mouse pointer over the virtual machine window","click in the window","When the keyboard and mouse input is captured in the virtual machine, you cannot move the pointer out of the virtual machine window and all keystrokes and button clicks go to the virtual machine. To release the keyboard and mouse back, press Ctrl+Alt. The keyboard and mouse will be released immediately.","Note: You can change the key combination for releasing the keyboard and mouse input using the Keyboard pane of the Preferences dialog.","If you want to automatically capture and release the keyboard and mouse input, you should install Parallels Tools in your virtual machine. After the Parallels Tools installation, you can capture and release the mouse and keyboard input more easily:","click anywhere in the virtual machine window to capture the input","click anywhere outside the virtual machine window to release the input.","Capturing and Releasing the Keyboard and Mouse","22259.htm");

Page[19]=new Array("Starting the Virtual Machine","To start the virtual machine, select it in the Parallels Workstation Extreme sidebar and","click the Start button @ on the Parallels Workstation Extreme toolbar or","choose Start from the Virtual Machine menu.","After starting the virtual machine, it will boot into the guest operating system installed in this virtual machine. If no guest operating system is installed in the virtual machine, you will see the following message: &quot;No boot device is available...&quot;.","Notes: 1. The virtual machine can be powered on only if you activated your copy of Parallels Workstation Extreme with permanent or trial activation key. See the Activating Parallels Workstation Extreme section in Parallels Workstation Extreme User's Guide.","2. It is not recommended that you start your virtual machines from an external storage device, this may result in low performance and unsteady operation.","Shutting Down the Virtual Machine","To turn off the virtual machine, you can:","use the standard shutdown procedure for the guest operating system installed in your virtual machine,","click the Shut Down @ button in the Parallels Workstation Extreme toolbar, or","choose Shut Down from the Virtual Machine menu.","Starting Your Virtual Machine and Shutting It Down","22551.htm");

Page[20]=new Array("Starting and shutting down virtual machines may take a considerable amount of time. Instead of performing these operations, you can suspend or pause a virtual machine for the required time and quickly resume it later.","Note: Close the Virtual Machine Configuration window before changing the virtual machine state.","Suspending a Virtual Machine","Suspending a virtual machine is similar to putting a real computer into the sleep mode. When you suspend a virtual machine, you save its current state (including the state of all applications and processes running in the virtual machine) to a special file on the host computer. When the suspended virtual machine is resumed, it continues operating at the same point the virtual machine was at the time of its suspending.","Suspending your virtual machine may prove efficient if you need to restart the host computer, but do not want to:","quit the applications running in the virtual machine","spend much time on shutting the guest operating system down and then starting it again","To suspend a virtual machine, do one of the following:","choose Suspend from the Virtual Machine menu or","click the Suspend button @ in the Parallels Workstation Extreme toolbar.","Note: You can view the configuration of the suspended virtual machine in read-only mode. To be able to modify the suspended virtual machine configuration, you should stop the virtual machine.","To resume a suspended virtual machine, click the Resume button @ in the Parallels Workstation Extreme toolbar or choose Resume from the Virtual Machine menu.","Pausing a Virtual Machine","Pausing a virtual machine releases the resources, such as RAM and CPU, currently used by this virtual machine. The released resources can then be used by the host computer and its applications or by other virtual machines running on the host computer.","Note: Only the amount of RAM used by the guest OS will be released. The memory used by the Parallels Workstation Extreme application will still be locked.","To pause a virtual machine, do one of the following:","click the Pause button @ in the Parallels Workstation Extreme toolbar or","choose Pause from the Virtual Machine menu.","When a virtual machine is paused, its window is grayed out. To continue running the virtual machine, click the Resume button @ in the Parallels Workstation Extreme toolbar or choose Resume from the Virtual Machine menu.","Parallels Workstation Extreme is designed to operate like an ordinary computer application. This means that you do not have to change the virtual machine's state from running to paused, suspended, or stopped before putting the host computer to sleep. In sleep mode, the host computer does not allocate any resources to the running applications (including Parallels Workstation Extreme and all virtual machines) so that they are stopped automatically. As you start the host computer, all the applications are automatically up and running again.","Suspending and Pausing Your Virtual Machine","22832.htm");

Page[21]=new Array("The configuration of an existing virtual machine can be changed in the Virtual Machine Configuration dialog. You can open the Virtual Machine Configuration dialog by doing one of the following:","Choose Configure from the Virtual Machine menu.","Click the Configure button on the toolbar of the virtual machine main window.","Right-clicking the virtual machine in the main window sidebar and choosing Configure from the context menu.","Selecting Configure in the Operations area of the virtual machine Summary pane or clicking any of the items in the Configuration area.","Virtual Machine Configuration allows you to configure your virtual machine in a variety of ways. For example, you can","Configure the virtual machine general options in the General window.","Define the virtual machine boot options in the Boot Order pane of the Hardware window.","Configure different parameters of the devices currently available inside the virtual machine: hard disk drives, CD/DVD-ROM drives, floppy disk drives, etc.","Configure the resource values currently set for the virtual machine: main memory, video memory, CPU, etc.","Add a new device to the virtual machine or remove an existing one.","Detailed information on all parameters that you can configure in Virtual Machine Configuration is given in Parallels Workstation Extreme User's Guide.","Configuring the Virtual Machine","28312.htm");

Page[22]=new Array("When you created a virtual machine and installed an operating system in it, you may need to","configure your virtual machine to use direct PCIe devices - video or network cards","use USB devices in the virtual machine","connect your virtual machine to the Internet","This chapter provides basic instructions on performing these actions.","What's Next","23725.htm");

Page[23]=new Array("If your computer has an Intel VT-d chipset, you can set the physical PCI Express (PCIe) devices connected to the physical computer to be directly assigned to your virtual machine. The virtual machine will directly access the PCIe devices without using the resources of the primary OS.","You can connect up to eight PCIe devices of any of the supported types to a single virtual machine.","To connect a PCIe device to a virtual machine","Assign the device to your virtual machines in the Intel VT-d pane of Parallels Workstation Extreme Preferences.","Note: You are recommended to have at least two adapters of the same type (video or network adapters): if you reassign one adapter to your virtual machines, the other adapter will be left to the physical computer. Keep in mind that if you assign your video or network adapter to a virtual machine, this adapter will be invisible to your primary OS.","Add the device to the virtual machine configuration with the help of Add Hardware Wizard. To launch Add Hardware Wizard, open the Virtual Machine Configuration dialog and click the Add button @.","Start the virtual machine and install the manufacturer's driver for this PCIe device inside the virtual machine. The driver should support the Intel VT-d technology.","Note: Parallels Workstation Extreme officially supports the NVIDIA Quadro® FX 3800, 4800, and 5800 video cards for virtual machines. For these video cards, use the latest drivers available on the manufacturer's website.","Troubleshooting","In Windows-based virtual machines, if the pass-through driver cannot be installed automatically after a PCIe device has been assigned to virtual machines in Preferences, install it manually by doing the following:","Go to Start &gt; Control Panel &gt; System &gt; Hardware and open the Device Manager.","In the Device Manager, locate the appropriate PCIe device, right-click it and choose Update Driver from the context menu.","In the Hardware Update wizard, choose to install the driver from the specific location.","Choose to specify the driver yourself.","In the next window, select the Have Disk option and specify the following path to the driver's location: C:\\Program Files\\Parallels\\Parallels Workstation\\Drivers\\prl_vtdvideo.inf or C:\\Program Files\\Parallels\\Parallels Workstation\\Drivers\\prl_vtdnet.inf and click Open.","Follow the wizard's instructions to complete the installation of the driver.","Restart the host computer.","In rare cases you cannot boot the primary Linux operating system after a PCIe device is added to the configuration of a virtual machine. To work around the issue, do the following:","In the grub loader splash screen, with your primary operating system selected in the list, press e on the keyboard to display the boot parameters.","Select the line starting with &quot;kernel&quot; by pressing the down arrow on the keyboard.","Press e to launch an editor for the selected line.","At the end of the line, add","init=/bin/sh","Press Enter to return to the boot parameters screen.","Press b to boot the kernel.","In the command line window, mount the root partition in read-write mode by entering","mount /dev/root / -oremount,rw ","Note: If you want your root partition to be mounted to a different location, replace root with this location in the command above.","Type the following command and press Enter:","echo -n &quot;&quot; &gt; /etc/parallels/vtd.hook","Type the following command and press Enter:","mount /dev/root / -oremount,ro ","Type the following command and press Enter:","reboot","This procedure will make your primary Linux operating system boot normally.","Connecting PCIe Devices using Intel VT-d","28318.htm");

Page[24]=new Array("Parallels Workstation Extreme provides you with the possibility to connect up to eight USB 2.0 and eight USB 1.1 devices to a single virtual machine. This means that you can plug up to eight USB 2.0 devices and eight USB 1.1 devices into the physical computer and use them from the virtual machine. To use this feature, you should add a USB controller to the virtual machine configuration. If the USB controller is already present in the virtual machine configuration, make sure it is enabled.","To connect a USB device to a virtual machine running on a Linux host computer:","Note: To connect a USB device to a virtual machine, you should have the root privileges.","Connect the USB device to your physical computer.","Start the virtual machine and log in to the virtual machine guest OS.","When the guest OS boots up, connect the USB device by clicking the USB Controller icon in the virtual machine's window status bar and choosing your USB device name from the list.","Troubleshooting","After connecting the device, you may need to get access to the files in /proc/bus/usb. The way of accessing these files depends on your Linux distribution. You may try to access these files as root or try to use the following command:","sudo chmod -R 777 /proc/bus/usb","You need to issue this command each time you want to reconnect to the device or connect a new USB device.","Using USB Devices in a Virtual Machine","28320.htm");

Page[25]=new Array("If your primary operating system is connected to the Internet, your new virtual machine can share this connection by using the Shared Networking mode that is selected as a default option for a new virtual machine.","If you experience problems with connecting your virtual machine to the Internet:","Make sure that the host computer is connected to the Internet.","Open the virtual machine configuration by choosing Virtual Machine &gt; Configure and make sure that the Network Adapter is present in the Devices list and it is in the enabled status. If it is not present, add it using the Add button in the bottom part of the Virtual Machine Configuration window.","For additional information about configuring network in virtual machines, refer to Parallels Workstation Extreme User's Guide.","Accessing the Internet","22989.htm");

var PageCount=26;



function search(SearchWord){

var Result="";

var NrRes=0;

Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';

Result+="<html>\n";

Result+="<head>\n";

Result+="<title>Search Results</title>\n";

Result+="<meta http-equiv='Content-Type' content='text/html; charset=ISO-8859-1'>\n";

Result+='<script language="javascript" type="text/javascript" charset="ISO-8859-1" src="dhtml_search.js"></script>\n';

Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';

Result+='<link rel="stylesheet" type="text/css" href="2007.css">\n';

Result+="</head>\n";

Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";





/* old */ /*



Result+='<p class="searchDetails">Enter a keyword or phrase';



Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';

if(SearchWord.length>=1){

   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){

       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");

   }

}

Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';

Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';

Result+='</p>\n';



*/ /* new */





Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';

Result+='<p class="searchDetails">Enter a keyword or phrase';



if(SearchWord.length>=1){

   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){

       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");

   }

}



Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';

Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';

Result+='</p>\n';

Result+='</form>\n';



/* end */







if(SearchWord.length>=1){

   SearchWord=SearchWord.toLowerCase();

   this.status="Searching, please wait...";

   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";



   for(j=0;j<PageCount;j++){

       k=Page[j].length-1;

       for(i=0;i<k;i++){

           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);

           if(WordPos>-1){

                NrRes++;

               break; }}}



   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";



   for(j=0;j<PageCount;j++){

       k=Page[j].length-1;

       for(i=0;i<k;i++){

           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);

           if(WordPos>-1){



               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);

               NrRes++;

               Result+="<tr><td class='search'><p class='searchResults'>";

               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";



               if(i<k-1){

                   if(Page[j][i].length>350){

                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";

                   }

                   else{

                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";

                   }

               }

               Result+="</p></td></tr>";

               break;			   

           }		   

       }	   

   }

     

   Result+="</table>";

   



}



Result+="</body></html>";

this.status="";

this.document.open();

this.document.write(Result);

this.document.close();

}